Module java.corba
Package org.omg.CORBA

## Class ParameterMode

- java.lang.Object
- - org.omg.CORBA.ParameterMode

All Implemented Interfaces:
  Serializable, IDLEntity

    public class ParameterMode
    extends Object
    implements IDLEntity

Enumeration of parameter modes for Parameter. Possible vaues:

- PARAM_IN - Represents an "in" parameter.
- PARAM_OUT - Represents an "out" parameter.
- PARAM_INOUT - Represents an "inout" parameter.

### Field Summary

Fields
`static int` `_PARAM_IN`
`static int` `_PARAM_INOUT`
`static int` `_PARAM_OUT`
`static ParameterMode` `PARAM_IN`
`static ParameterMode` `PARAM_INOUT`
`static ParameterMode` `PARAM_OUT`

### Constructor Summary

Constructors
`protected` `ParameterMode(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ParameterMode` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _PARAM_IN

    public static final int _PARAM_IN

See Also:
  Constant Field Values

#### _PARAM_INOUT

    public static final int _PARAM_INOUT

See Also:
  Constant Field Values

#### _PARAM_OUT

    public static final int _PARAM_OUT

See Also:
  Constant Field Values

#### PARAM_IN

    public static final ParameterMode PARAM_IN

#### PARAM_INOUT

    public static final ParameterMode PARAM_INOUT

#### PARAM_OUT

    public static final ParameterMode PARAM_OUT

### Constructor Detail

#### ParameterMode

    protected ParameterMode(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static ParameterMode from_int(int value)